%define srcname setuptools_scm

Summary:	The blessed package to manage your versions by scm tags
Name:		python-%{srcname}
Version:	1.15.5
Release:	1
License:	MIT
Group:		Development/Python
Url:		https://pypi.python.org/pypi/%{srcname}
Source0:	https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-pytest
BuildRequires:	python3-pytest
# For tests
BuildRequires:	git-core
BuildRequires:	mercurial
BuildArch:		noarch

%description
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the suppertes scms.

%files -n python-%{srcname}
%doc CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/*

#-----------------------------------------------------------------------------

%package -n python3-%{srcname}
Summary:	The blessed package to manage your versions by scm tags
Group:		Development/Python

%description -n python3-%{srcname}
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the suppertes scms.

%files -n python3-%{srcname}
%doc CHANGELOG.rst LICENSE README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info

#-----------------------------------------------------------------------------

%prep
%setup -n %{srcname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
popd
%py2_install

# Attempts to download stuff with pip
#check
#PYTHONPATH=%%{buildroot}%%{python_sitelib} py.test-%%{python_version} -vv
#PYTHONPATH=%%{buildroot}%%{python3_sitelib} py.test-%%{python3_version} -vv

%changelog
